Package dev.plex.services

# Class ServiceManager

java.lang.Object
dev.plex.services.ServiceManager

public class ServiceManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<AbstractService>`
`services`

## Constructor Summary

Constructors
Constructor
Description
`ServiceManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`endService(AbstractService service)`
`void`
`endService(AbstractService service, boolean remove)`
`void`
`endServices()`
`AbstractService`
`getService(Class<? extends AbstractService> clazz)`
`private void`
`registerService(AbstractService service)`
`int`
`serviceCount()`
`void`
`startService(AbstractService service)`
`void`
`startServices()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### services

private final List<AbstractService> services

## Constructor Details

### ServiceManager

public ServiceManager()

## Method Details

### startServices

public void startServices()

### endServices

public void endServices()

### getService

public AbstractService getService(Class<? extends AbstractService> clazz)

### startService

public void startService(AbstractService service)

### endService

public void endService(AbstractService service, boolean remove)

### endService

public void endService(AbstractService service)

### registerService

private void registerService(AbstractService service)

### serviceCount

public int serviceCount()